> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/pt-br/desenvolver/basico/guias-praticos/obter-saldo-carteira.md).

# Como obter o saldo de uma carteira

## O que é o saldo de CHZ de uma carteira?

O saldo de uma carteira refere-se à quantidade total de uma criptomoeda específica que a carteira possui. Dependendo do seu projeto, pode ser necessário exibir o saldo de uma única criptomoeda ou os saldos de todas as criptomoedas que uma carteira possui.

Da mesma forma, os ativos de uma carteira referem-se a todas as formas de criptomoedas, tokens e ativos digitais armazenados e gerenciados em uma carteira de criptomoeda.

## Como fazer com Moralis

A Moralis tem uma [Wallet API](https://moralis.com/api/wallet/) que você pode usar, e eles até fornecem um exemplo de código para o caso de uso de saldo de carteira:

* [Como obter o saldo nativo de um endereço](https://docs.moralis.io/web3-data-api/evm/wallet-api/how-to-get-the-balance-of-a-wallet)

Para adaptar o exemplo de código deles, precisamos substituir a referência ao Ethereum pelo ID deles para a Chiliz Chain, `0x15b38`:

```typescript
import Moralis from "moralis";

const runApp = async() => {
  await Moralis.start({
    apiKey: "YOUR_API_KEY",
    // ...and any other configuration
  });

  const address = "0xYourWalletAddress";

  const chain = "0x15b38", // This is for Chiliz Chain Mainnet.
                           // For Spicy Testnet, use "0x15b32".

  const response = await Moralis.EvmApi.balance.getNativeBalance({
    address,
    chain,
  });

  console.log(response.toJSON());
};

runApp();
```

## Como fazer com Tatum

A Tatum tem uma [Data API](https://tatum.io/blockchain-api) abrangente que você pode usar, e eles até fornecem um exemplo de código para o caso de uso de recuperação de ativos:

* [Obter todos os ativos que a carteira possui](https://docs.tatum.io/docs/get-all-assets-the-wallet-holds)

Para adaptar o exemplo de código deles, precisamos substituir a referência ao Ethereum pela Chiliz Chain:

```typescript
import {TatumSDK, Network, Chiliz, ResponseDto, AddressBalance} from '@tatumio/tatum'

const tatum = await TatumSDK.init<Chiliz>({network: Network.CHILIZ})

const balance: ResponseDto<AddressBalance[]> = await tatum.address.getBalance({
  addresses: ['0xYourWalletAddress'], // replace with your address
})

console.log(balance.data)
```

## Como fazer com thirdweb

O thirdweb tem vários exemplos curtos de código no seu site de documentação que podemos usar como inspiração.

* [Get wallet balance](https://portal.thirdweb.com/connect/in-app-wallet/how-to/interact-with-wallets#get-wallet-balance)

Aqui está o código deles, [adaptado para a Chiliz](https://thirdweb.com/chiliz-chain):

```typescript
const sdk = new ThirdwebSDK("https://88888.rpc.thirdweb.com");
const walletAddress = "0xYourWalletAddress";

async function getWalletBalance() {
  try {
    const balance = await sdk.getBalance(walletAddress);
    console.log(`Balance of wallet ${walletAddress}: ${balance.displayValue} ${balance.symbol}`);
  } catch (error) {
    console.error("Error fetching wallet balance:", error);
  }
}

getWalletBalance();
```

## Como fazer com Nodit

O Nodit fornece o seguinte exemplo de código [em sua documentação](https://developer.nodit.io/reference/chiliz-getnativebalancebyaccount):

```typescript
const url = 'https://web3.nodit.io/v1/chiliz/mainnet/native/getNativeBalanceByAccount';
const options = {
  method: 'POST',
  headers: {
    accept: 'application/json',
    'content-type': 'application/json',
    'X-API-KEY': 'nodit-demo'
  },
  body: JSON.stringify({accountAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/pt-br/desenvolver/basico/guias-praticos/obter-saldo-carteira.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
